Subject: Stockholm syndrome with Linux wireless?

From: Kalle Valo <[email-masked]>
Date: Mon, 26 Sep 2022 11:20:18 +0300

(changing the subject as this has nothing to do with brcmfmac)

Linus Walleij <[email-masked]> writes:

> On Thu, Sep 22, 2022 at 3:31 PM Alvin Šipraga <[email-masked]> wrote:
>
>> I would also point out that the BCM4359 is equivalent to the
>> CYW88359/CYW89359 chipset, which we are using in some of our
>> products. Note that this is a Cypress chipset (identifiable by the
>> Version: ... (... CY) tag in the version string). But the FW Konrad is
>> linking appears to be for a Broadcom chipset.
>
> This just makes me think about Peter Robinsons seminar at
> LPC last week...
> "All types of wireless in Linux are terrible and why the vendors
> should feel bad"
> https://lpc.events/event/16/contributions/1278/attachments/1120/2153/wireless-issues.pdf

Thanks, this was a good read! I'm always interested about user and
downstream feedback, both good and bad :) But I didn't get the Stockholm
syndrome comment in the end, what does he mean with that?

BTW we have a wireless workshop in netdevconf 0x16, it would be great to
have there a this kind of session discussing user pain points:

https://netdevconf.info/0x16/session.html?Wireless-Workshop

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches